低危 Linux kernel 安全漏洞

CVE编号

CVE-2019-20810

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-06-03
漏洞描述
5.6之前的Linux kernel中drivers/media/usb/go7007/snd-go7007.c中的go7007_snd_init不会为故障路径调用snd_card_free,这会导致内存泄漏,也称为CID-9453264ef586。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=9453264ef58638ce8976121ac44c07a3ef375983
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.131-1
运行在以下环境
系统 debian_9 linux * Up to
(excluding)
4.9.228-1
运行在以下环境
系统 linux linux_kernel * Up to
(excluding)
5.6
运行在以下环境
系统 opensuse leap 15.1 -
运行在以下环境
系统 opensuse leap 15.2 -
运行在以下环境
系统 opensuse_Leap_15.1 linux * Up to
(excluding)
4.12.14-lp151.28.59.1
运行在以下环境
系统 opensuse_Leap_15.2 linux * Up to
(excluding)
5.3.18-lp152.26.2
运行在以下环境
系统 sles_12_SP5 linux * Up to
(excluding)
4.12.14-16.19.1
运行在以下环境
系统 suse_12_SP5 linux * Up to
(excluding)
4.12.14-16.19.1
运行在以下环境
系统 ubuntu_14.04 linux * Up to
(excluding)
4.4.0-1075.79
运行在以下环境
系统 ubuntu_14.04_lts linux-aws * Up to
(excluding)
4.4.0-1075.79
运行在以下环境
系统 ubuntu_16.04 linux * Up to
(excluding)
4.4.0-186.216
运行在以下环境
系统 ubuntu_16.04_lts linux * Up to
(excluding)
4.4.0-186.216
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
4.15.0-1093.103
运行在以下环境
系统 ubuntu_18.04_lts linux * Up to
(excluding)
4.15.0-115.116
运行在以下环境
系统 ubuntu_20.04 linux * Up to
(excluding)
5.4.0-1022.22
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-401 在移除最后引用时对内存的释放不恰当(内存泄露)
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况